

/* conv_plm    ver 2003.01          # page 1   17 jan 2003 10 19 */


/* Copyright (c) 1995  GD,  Kort-og Matrikelstyrelsen, Denmark */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of GD, Kort- og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */

/* conv_plm(name, lab) converts the name of a lab to the lab   */
/*    result == PLM_LAB : no_net_rotation PLate Motion lab     */
/*    result == -1      : file is not specified type or not found*/
/*    result == -2      : file is too short                    */
/*    result == -3      : file plmle inconsistent              */

#ifndef       _CONV_PLM_FNC_
#define       _CONV_PLM_FNC_

extern int               conv_plm(
/*______________________________*/
char                    *lab_info,
struct label_table      *p_lb,
struct plm_lab          *p_lab,
...
);

/*  SEE also conv_lab.c and conv_lab.h for details                 */

/* LABEL TABLE */

/* The struct label_table is defined in geo_lab.h in order to make */
/* it available as a parameter for conv_crd, conv_hgt, etc.        */

/* the plate motions model nnr_<model> is searched                 */
/* the name: nnr_std gives the newest (first found) model          */

/* conv_plm initializes the plm_lab : p_lab with the
   rotation rates for the  p_lab->plm_max plates p_lab->plm__tr.
   (MAX_ENT_PLM) plates

   ERROR :
   res == ITRF_NON_ : NO entries found.
   res == ITRF_MAX_ : too many entries found. (> MAX_ENT_PLM)
   res == ITRF_NAM_ : manager.gps table_name (gps_tab) not found.
   res == ITRF_SYS_ : manager.gps file not found.
*/

#endif


