

/* dnn_t_dvr    ver 2002            # page 1   28 Feb 2002 14 13 */


/* Copyright (c) 2001, Kort-og Matrikelstyrelsen, Denmark      */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of LG, Kort-og  */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */

#include     "geo_lab.h"

int                  dnn_t_dvr(
/*___________________________*/
char                *c_sys,
double               N_in,
double               E_in,
double              *dh,
char                *usertxt
);

/*

IMPORTANT :  
the PATH to the table must be given unless it is the default one:
DEFAULT_PATH  ==
defined(sparc) || defined(__sparc) :  "/export/home/geoid/"
else   (!K_LNX_P)                  :  "/geoids/"

ALTERNATIVE_PATH may be set by the call :
	settabdir("newdir");


CALL of FUNCTION :
dnnn_t_dvr returns the result of the table reading at the coordinates
(N_in, E_in) given in the coordinate system *c_sys

return values :
   == 0  result_ok
   <  0  as given in geo_lab.h : TRF_......

when return vale is <= 0 an error string is returned in *usertext

*c_sys must be a leagal string describing the coordinate system:
       e.g.  s34j, s34s, s34b, utm32_ed50, utm32_euref89,
             geo_ed50, geo_euref89
or
*c_sys must be "dh_kn_dvr" (N_in and E_in is NOT used)

N_in is the northing coordinate of *c_sys (possibly latitude)
E_in is the easting  coordinate of *c_sys (possibly longitude)

*dh  is the difference from dnn50 to dvr90:
        h_dvr90 =  h_dnn50 + *dh
or
*dh  is (*c_sys == "dh_kn_dvr")the difference from kn44 to dvr90:
        h_dvr90 =  h_dnn50 + *dh

*usertext will hold an error message if the result of the function
is not succesfull (i.e. return < 0)

progr.  K. Engsager. Feb. 2002.

*/

