

/* fgetmono.h                        # page 1   17 May 1994 14 21 */


/* Copyright (c) 1994 GD, Kort-og Matrikelstyrelsen, Denmark   */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of G/S, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */


extern int                fgetmono(
/*_______________________________*/
struct obs_lab           *obj_lab,
FILE                     *fc,
char                     *in_a,
struct mono_hd_st_str    *mono_hd_st,
struct mono_mn_st_str     mono_mn_st_a[],
struct lab_mn_OC_str     *lab_mono_OC
);

/* obj_lab is the actual input label */

/*
    Read a file of blocks of monocomparator observations.

    comment      Text format for a monocomparator observation.
    *******      *****************************************

    Terminator block is :
   -1a

  */

	

/* fgetmono.c                        # page 2   17 May 1994 14 21 */


/*

    <monocomparator block> ::= <photo id>
    _                          <cam OC>    0/1
    _                          <MFC>       0/1
    _                          <messurement blocks>

    <photo id> ::= <Photonumber> <obs date> <camera no>

    <obs date> is an integer with the value
    year * 1 00 00    +  month * 1 00    +  day mod 100

    <cam OC>    ::= POS  <coord_lab>  <cam pos>  <cam rot>
    <coord_lab> ::= Label of coordsys. See conv_lab.
    <cam pos>   ::= position of camara in coordsys. (N, E, H).
    <cam rot>   ::= rotations of camera. (rotx, roty, rotz).

    <messurement blocks> ::= <mess block> <messurement blocks>

    <mess block> ::= <mess line> <obs lines>

    <mess line>  ::= <messure no> <m_date> <observator initials>

    <messure no> ::= <M><number> <observator initials>
    <m_date> is an integer with the value
    year * 1 00 00    +  month * 1 00    +  day mod 100
    <observator initials> is to BIG initials.

    <obs lines>  ::= <obs_li> <obs lines>

    <messurement> ::= <station no>  <coo_1> <coo_2>

    The <station no> is GI-station no and the  coordinates
    shoud be given clockvise or anticlockvise.

    Example 1 :
    ___________

    P874C290 a   78 07 03   2035
    POS  gu20n  8 985 068.540 m   475 115.900 m   13 221.801 m
                   6 36.79 sx     55 27.53 sx  -136 07 44.77 sx
    MFC   0.020 mm
    M2228  82 09 14    AF
    991         -106.019 mm     -105.999 mm                    
    992         -110.016 mm       -0.004 mm                    
    993         -105.988 mm      105.995 mm                    
    . . .
    M2228  82 09 14    AF
    991         -106.015 mm     -106.001 mm                    
    992         -110.017 mm       -0.004 mm                    
    . . .
 
  */

