

/* fgetstec.c                        # page 1   17 May 1994 14 21 */


/* Copyright (c) 1994 GD, Kort-og Matrikelstyrelsen, Denmark   */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of G/S, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */


extern int                fgetstec(
/*_______________________________*/
struct obs_lab           *obj_lab,
FILE                     *fc,
char                     *in_a,
struct stec_hd_st_str    *stec_hd_st,
struct stec_ln_st_str     stec_ln_st_a[]
);

/* obj_lab is the actual input label

   STECO er ikke implementeret !!!!


    Read a file of blocks of stecometer or anblock observations.

    comment      Text format for a stecometer observation.
    *******      *****************************************

    fgetstec will NOT read the output format from the  program 
    NN, written by Kjeld Dueholm, Institut  for  Fotogrammetri
    og Landmling, and running on the IBM370 at NEUCC, DTH.

    SPECIAL case adjusted anblock given in specific coordinate
    system see after example 1.

    Terminator block is :
   -1a

  */

	

/* fgetstec.c                        # page 2   17 May 1994 14 21 */


/*

    <stecometer block> ::= <obs id>
    _                      <exp ids>
    _                      <cmt line>
    _                      <rel ori>
    _                      <messurements>

    This classes (futher described below) consist  of  one
    line each, exept <exp ids> which can  be  one  or  two 
    lines, and <messurements> which is a  variable  number
    of lines.

    <obs id> ::= JNSD <obs date> <operator name> <obs no>

    <obs date> is an integer with the value
    day * 1 00 00    +  month * 1 00    +  year mod 100
    or
    day * 1 00 0000  +  month * 1 0000  +  year

    <operator name>  is  a  string terminated by  a  digit
    which is the first digit of <obs no>.

    <obs no> is an integer, a serial number, which together
    with <obs date> is used to identify the block of obser-
    vations.

    _             (  <exp id> <NL> <exp id>    )
    <exp ids> ::= <                            >
    _             (  <exp id> <sp> <photo no>  )

    <exp id>  ::= <exp date> <route> <cam const> <photo no>

    <exp ids> describe the left and the  right  photos  of
    the sterioscopic model. If the  second  alternativ  is
    used the <exp date>, <route> and <cam const>  of  left
    are user for right as well.

    <exp date> is the date of exposure,  an  integer  with 
    value packed as for <obs date>.

    <route> is the flight route number, an integer  and  a
    letter.

    <cam const> is a real, the camera constant.

    <photo no> is the number of  the photo and the  syntax
    is

    _              (  <integer>.<digit>  )
    <photo no> ::= <                     >
    _              (  <integer>          )

    * 

    <cmt line> is a comment line.
    In case  of  a  anblock  observation  the  first  part
    of  the  line  is  used  as  anblock  computation date.
  */

	

/* fgetstec.c                        # page 3   17 May 1994 14 21 */


/*
    <rel ori> is an estimate  of  the  elements of relativ 
    orientation of the two photos.  <rel ori>  consist  of six
    reals (three translations in  units  of  m'-3  and three
    rotations in units of radians) and  one  integer (the mean
    error of the relativ  orientation,  unit  of m'-6).

    _                                         *
    _                 (                      )
    <messurements>::= <  <messurement> <NL>  >   <zero>
    _                 (                      )

    _                                           4
    <messurement> ::= <station no>  <coordinate>

    The <station no> is GI-station no and the  coordinates
    shoud be given in the sequence x-left, y-left, x-right,
    y-right, in unites of m'-3.

    Example 1 :
    ___________

    JNSD 18101976  ARNE JENSEN  GI  STECOM ILF     2            
    1011961  240T  152.840   507   506                    

    500.000   -0.862    1.995  -0.0080907  -0.0116731  0.0340112   5
    991    652.450   890.352    85.341   461.810                    
    992    538.442   778.870   -26.988   348.631                    
    993    426.901   892.958  -140.231   461.033                    
 
  */

	

/* fgetstec.c                        # page 4   17 May 1994 14 21 */


/*  SPECIAL case adjusted anblock
    +++++++++++++++++++++++++++++

    <stecometer block> ::= <obs id>
    _                      <OC coordinate lines> 0/99
    _                      -1 b
    _                      <coordinate lines>    0/500

    <obs id> ::= JNSD <jounalside> <mf>

    <journalside> identifies the adjustment of anblocks.

    <mf> ::= MF  <mf> <mftpd>

    <mfval> is the station meanerror.
    <mftpd> is the type of the <mfval>.

    <OC coordinate line> ::=
    <coordinate line> ::= <station no>  <coordinate>  <coordinate>

    The OC coordinate lines determins the orientation and scale,
    on which the coordinate lines are transformed.

    When no OC lines are given is the scale and orientation fixed 
    to 1.0 and 0.0 sx.

    Example 2 :
    ___________
    #cb_w

    JNSD 900 000 893  MF 2.00 cm      

    981    210 642.45 m  191 890.352 m                    
    982    210 548.44 m  192 778.870 m                    
    983    211 446.90 m  190 892.958 m                    
    984    211 546.90 m  190 842.958 m                    
    -1b
    991    210 652.45 m  191 890.352 m                    
    992    210 538.44 m  192 778.870 m                    
    993    211 426.90 m  190 892.958 m                    
  */

