
/* gst_jok.h                       # page  1   10 Feb 1995 12 03 */

/* Copyright (c) 1993 GD, Kort-og Matrikelstyrelsen, Denmark */
/* All rights reserved.                                       */

/* This is unpublished proprietary source code of GD, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not */
/* indicate an intention of publishing this code.             */


#if !defined(H_GST_JOK)
#define      H_GST_JOK

#ifdef     i386
#define    _RC900
#endif


#define    OMC_MAX       40
#define    DEC_LIM       29
#define    MAX_NL       5 * 1024 * 1024
#define    MAXSTAT    12000
#define    BBSIZE      1200
#if !defined(H_MAX_OBS_TP)
#define      H_MAX_OBS_TP
#define    MAX_GG        60
#define    MAX_CB       100
#define    MAX_MN       300
#define    MAX_MN_OC    300
#endif       H_MAX_OBS_TP

struct gst_str {
  int                all_st;    /*tot number of stns*/
  int                fix_co;    /*no of fix stns in plane*/
  int                new_co;    /*no of new stns in plane*/
  int                fix_hg;    /*no of fix stns in vertic*/
  int                new_hg;    /*no of new stns in vertic*/
  int                pho_st;    /*no of new stns*/
  int                all_inh;   /*tot number of inhomogene params*/
  int                new_inh;   /*no of inhomogene params*/
  int                fix_us;    /*no of fix stns used*/
  int                all_nm;    /*no of names*/
  int                unk_c;     /*no of unknowns*/
  int                mis_st;    /*no of stns missing coords*/
  int                job_tp;    /*type of job*/
  int                OBS;       /*no of redundancies*/
  int                RED;       /*no of weight red obs*/
  int                sing;      /*no of singular unknowns*/
  int                q_oc;      /*no of oc, excl. laplace*/
  int                q_blk;     /*no of obs_blocks*/
  int                eq_max;    /*max no of obs-eq*/
  int                q_max;     /*max no of objects*/

  /* job_type see ico_jok                           */

/* to be continued */


/* gst_jok.h                       # page  2   10 Feb 1995 12 03 */


/* gst_str  continued */
  int                q_dir;     /*no of directions*/
  int                q_lap;     /*no of laplace az*/ 
  int                q_dst;     /*no of distances*/
  int                q_bmd;     /*no of taped distances*/
  int                q_hjd;     /*no of height diff*/
  int                q_zds;     /*no of zenith dist*/
  int                q_mtz;     /*no of motorised zenith dist*/
  int                q_niv;     /*no of leveling diff*/
  int                q_grp;     /*no of leveling groups*/
  int                q_vt3;     /*no of vectors*/
  int                eq_cb3max; /*max no of GPS coord-obs-eq*/
  int                eq_mn_max; /*max no of mono-obs-eq*/
  int                q_mn_max;  /*max no of mono-obs*/
  int                q_mn;      /*no of mono-obs*/
  int                q_mn_blk;  /*no of mono-blocks*/
  int                eq_cb_max; /*max no of coord-obs-eq*/
  int                q_cb_max;  /*max no of coord-obs*/
  int                q_cb;      /*no of coord-obs*/
  int                q_cb_blk;  /*no of coord-blocks*/
  int                pass;      /*pass counter*/
  int                q_hb;      /*no of height-obs*/
  int                q_hb_blk;  /*no of height-blocks*/
  long               st_pos;    /*segm no for stat records*/
  long               nr_pos;    /*segm no of chained statlist*/
  long               ci_pos;    /*segm no for coord records*/
  long               bb_pos;    /*segm no of bulletin board*/
  long               ph_pos;    /*segm no of photo OC */
  long               o_pos;     /*segm no of observ*/
  long               e_pos;     /*segm no of first free segm*/
  long               col_pos;   /*segm no of col_cat NOT USED */
  long               cnd_pos;   /*segm no of conditions*/
  long               ecnd_pos;  /*segm no of first free segm cond*/
  long               nl_c_pos;  /*segm no of nl_cat*/
  long               bl_c_pos;  /*segm no of block_cat*/
  long               loc_pos;   /*segm no of local unreduced*/
  long               red_pos;   /*segm no of local reduced NOT USED */
  long               lin_pos;   /*segm no of local inverse*/
  long               oc_pos;    /*segm no of OC*/
  long               nl_pos;    /*segm no of normals*/
  long               inv_pos;   /*segm no of inverse*/
  long               rdu_pos;   /*segm no of local redundancy L.R.*/
  long               omc_pos;   /*segm no of sum(i, pvv, L.R.)*/
  int                nl_lng;    /*double elements to reserve*/
  int                inv_lng;   /*double elements to reserve*/
  int                loc_lng;   /*double elements to reserve*/
                                /*same length for lin_pos   */
  int                rdu_lng;   /*double elements to reserve*/
  int                bb_max;    /*current no of requests on bb*/
  short              no_grp;    /*NO_GROUP in G.M./G.I.*/
  short              S_crd;     /*South pos 1. coord*/
  short              W_crd;     /*West pos 2. coord*/
  short              omc_ant;   /*number of omc-groups*/
  short              sc;        /*soft clearing of blunders*/
  short              prs;       /*prs_niv*/
  short              upl_req;   /*Land Uplift requested*/
  short              sax_req;   /*request for re-ordering of normals*/
  short              und_enp;   /*netproblems low enp*/
  short              GPS_stix;  /*GPS ANTENNA HEIGHT station ix*/
  double             antenne;   /*diameter of GPS antenna gpsH_mode*/
  double             mc;        /*aposteriori std dev*/
  double             m_lim;     /*max dev ratio for rhs*/
  double             enp;       /*exponent of numerical precision*/  
  double             pww;       /*saved to calculate enp*/  
  double             rdu;       /*saved to calculate redundancy*/  
  int                rdu_ix;    /*wrk element ix */
  char               upl_mlb[16]; /*label of landuplift model*/
  char               gde_mlb[16]; /*label of geoid      model*/
  unsigned char      no_astr;   /*no astronomical coor in pot adj*/
  unsigned char      LL;        /*astronomical coor i/o/Lineknode*/
  unsigned char      m_loss;    /*max act. loss of norm binals*/
  unsigned char      dec_lim;   /*max perm loss of norm binals*/
  union geo_lab      s_lab_u;   /*common sys lab in union*/
  union geo_lab      c_lab_u;   /*coordinate lab in union*/
  union geo_lab      h_lab_u;   /*height lab in union*/
  double             adj_time;  /*time of the adjustment*/
  double             out_time;  /*time of output of res.*/
};


/* gst_jok.h                       # page  3   10 Feb 1995 12 03 */


#if !defined(BF_UL_DEF)
#define      BF_UL_DEF
struct     bf {
  unsigned int         xc: 1; /*   0 exists    */
  unsigned int         fc: 1; /*   1 fixed     */
  unsigned int         nc: 1; /*   2 new       */
  unsigned int         rc: 1; /*   3 requested */
  unsigned int         sc: 1; /*   4 buf stn   */
  unsigned int         oc: 1; /*   5 buf obj   */
  unsigned int         uc: 1; /*   6 used c    */
  unsigned int         ic: 1; /*   7 singular  */
  unsigned int         nn: 1; /*   8 natural p */
  unsigned int         cp: 1; /*   9 polygon   */
  unsigned int         pp: 1; /*  10 half bl p */
  unsigned int         cb: 1; /*  11 poly blind*/
  unsigned int         no: 1; /*  12 lost      */
  unsigned int         vt: 1; /*  13 vt3obs    */
  unsigned int         wk: 1; /*  14 work      */
  unsigned int         xh: 1; /*  15 exists    */
  unsigned int         fh: 1; /*   0 fixed     */
  unsigned int         nh: 1; /*   1 new       */
  unsigned int         rh: 1; /*   2 requested */
  unsigned int         sh: 1; /*   3 buf stn   */
  unsigned int         oh: 1; /*   4 buf obj   */
  unsigned int         uh: 1; /*   5 used h    */
  unsigned int         ih: 1; /*   6 singular  */
  unsigned int         se: 1; /*   7 secularmo */
  unsigned int         is: 1; /*   8 sing. se  */
  unsigned int         eh: 1; /*   9 ellh input*/
  unsigned int         hh: 1; /*  10 normalh in*/
  unsigned int         hp: 1; /*  11 polygon   */
  unsigned int         hb: 1; /*  12 poly blind*/
  unsigned int         gi: 1; /*  13 gravi inp */
  unsigned int         gr: 1; /*  14 req. gravi*/
  unsigned int         rg: 1; /*  15 req. geoid*/
};

union    bf_ul {
  struct bf        b;
  unsigned int     l;
};
#endif  BF_UL_DEF


/* gst_jok.h                       # page  4   10 Feb 1995 12 03 */


struct ci_str {
  double         N;         /*Northing adjusted*/
  double         E;         /*Easting  adjusted*/
  double         H;         /*Height   adjusted (usually ellh)*/
  double         gH;        /*Geoidheight input*/
  double         gr;        /*Gravity input*/
  double         dH;        /*dHeight   pr.year*/
  int            nl_c_ix;   /*col_coord  index of station*/
  int            nl_h_ix;   /*col_height index of station*/
  union bf_ul    sst;       /*station status*/
};

struct  rdu_str {
  double             redun;
  int                nr;
  unsigned short     skip;
};   

struct  bb_str {
  int                bb_info;
  int                bb_stn1;
  int                bb_stn2;
  double             bb_oc;
};   

struct  mc_str {
  int                ant;
  double             pww;
  double             rdu;
  char               txt[8];
};   

#endif

