

/* lin_vt3.c                          # page 1   07 Oct 1994 15 30 */


/* Copyright (c) 1993, GD, Kort-og Matrikelstyrelsen, Denmark  */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of G/S, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */


extern int          lin_vt3(
/*________________________*/
FILE               *fw,
struct gst_str     *gst,
struct ci_str      *ci_base,
struct nl_ca_str   *nl_cat,
double             *NL,
int                 eq_wanted
);
 
/* lin_vt3 formes the obs_eq for 3.dim vectors in geographical */

/* lin_vt3 (return, int) is the number of q_eq                */
/*         (i.e. usually q_obj * 3)                           */

/* Obersvations are given in 3.dim cartesic WGS84 coordinates
  (X, Y, Z) as  (DX, DY, DZ)
  X = (a / sqrt(1 - e*e*sin(fi)*sin(fi)) + H) * cos(fi) * cos(la)
  Y = (a / sqrt(1 - e*e*sin(fi)*sin(fi)) + H) * cos(fi) * sin(la)
  Y = (a*(1-e*e) / sqrt(1 - e*e*sin(fi)*sin(fi)) + H) * sin(fi)

  The unknowns are the metric geographic coordinates :
  (a*(1-e*e)*fi/(W*sqrt(W)), a*cos(fi)*la/sqrt(W), H).

  When the adjustment is performed in another coordinatesystem
  then the observationequations are transformed to this system.

  Prog.:  K. Engsager, oct. 1994
*/

