

/* locan.h  version 1.0               # page 1   06 Oct 1993 14 33 */


/* Copyright (c) 1993 GD, Kort-og Matrikelstyrelsen, Denmark */
/* All rights reserved.                                       */

/* This is unpublished proprietary source code of GD, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not */
/* indicate an intention of publishing this code.             */


extern void           locan(
/*________________________*/
struct o_fp_str      *out_data,
double               *neq,
struct st_str        *nr_base,
struct ci_str        *ci_base,
short int             neq_type,
struct gst_str       *gst,
int                   d_extra
);

	

/* locan.c  version 1.0               # page 2   06 Oct 1993 14 33 */


/* 

l o c a l - a n a l y s i s .
*****************************

A record of sub-matrices are analysed with respect to extreme  
eigenvalues. The record may contain sub-matrices of a  normal
equation matrix from a  least squares  adjustment  or  subma- 
trices of the cholesky-factor or inverse of said matrix.
In case of normal or reduced the minimum eigenvalues are found,
and in case of inverse the maximum are used.
The record may have been made by calling the procedure save_loc.
The extreme eigenvalue  of  each  coord_pr_stat * coord_pr_stat  
normal equation sub-matrix  is computed. These  values  are
sorted and some of the first stations are listed. The distribu-
tion of the individual sub-matrix elements and of the extreme
eigenvalues are described by mean, rms, min and max as well as 
by  optional histograms.

*

Parameters.
___________

fw         (call and return, FILE) Used for  text  output
           of results and error messages.

neq       (call, pointer) The record containing the sub-matrices.

nr_base   (call, pointer) The record containing the st_names.

ci_base   (call, pointer) The record containing the st adj info.

neq_type  (call, short) 1 : neq-elements.
      2 : cholesky-factor-elements. +++ NO USE +++
      3 : inverse-elements.

page      (call and return, int) last page written on fw.

Error messages.
_______________

Error messages are of the form

_     ***locan <cause>

The cause may be
a) Problems when computing eigenvalues. Station number  and
_  matrix elements are shown.

*

Karsten Engsager, Aug 1993

*/

