

/* meteorologi.h                    # page 1   22 Nov 1996 12 21 */


/* Copyright (c) 1996 GD, Kort-og Matrikelstyrelsen, Denmark   */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of GD, Kort-og  */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */

#if !defined             (H_METEOROLOGI)
#define                   H_METEOROLOGI 

extern double meteorologi(
double                   p,
double                   t1,
double                   t2,
double                  *ar,
int                     *result
);

  /* proceduren beregner meteorologikorrektion-           */
  /*  ud fra p, t1, t2 og arrayet <ar>.                   */
  /*  Parametre:                                          */
  /*    p      (call value, real). Barometertryk i mm HG. */
  /*    t1     (call value, real). Tr temperatur i       */
  /*           centigrader.                               */
  /*    t2     (call value, real). Vd temperatur i       */
  /*           centigrader.                               */
  /*    ar     (call value, array). Arrayet indeholder    */
  /*           meteorologi-konstanter se proceduren       */
  /*           set_mc.                                    */
  /*    result (return value, integer). Vrdier <> 0      */
  /*           angiver fejl:                              */
  /*             1) vd temperatur mangler ved            */
  /*                mikroblgemlinger                    */
  /*             2) vd temperatur strre end tr         */
  /*             3) meteorologiarray <ar> ukendt .        */
  /*    meteo- (return value, real). Meteorologikor-      */
  /*    rologi rektionen gange 10' 6 ;                    */

  /* BEMRK : ar(-6:26) ndret til ar[33] (C deklaration) */

  /* proceduren meteorologitx oversat til meteorologi.c   */
  /* af FRS 21. november 1996                             */


#endif

