

/* obs_neq                          # page 1   29 Dec 1993 17 19 */


/* Copyright (c) 1993, GD, Kort-og Matrikelstyrelsen, Denmark  */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of G/S, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */


extern double       obs_neq(
/*________________________*/
double             *W_base,
double             *C_base,
int                 stn,
int                 q_obj,
int                 eq_p_obj,
int                 cf_p_stn,
int                 oc_ps,
double             *NL,
int                *NL_col,
int                *NL_ix0
);

/* stn == 0 :  no station in obs  (q_obj1 = q_obj)    */
/* stn != 0 : one station in obs  (q_obj1 = q_obj+1)  */

/* eq_p_obj == equations pr. object  */
/* cf_p_stn == object    pr. station */
/* oc_ps    == no of Orientations    */
/* unk_c    == no of unknows         */
/* NL       == normal equations      */
/* NL_col   == obs to col index      */
/* NL_ix0  == index of NL[col, 0]   */

/* ORGANIZATION of NL_col and NL_ix0 */
/* NL_col [q_obj1 * cf_p_stn + 1] , the last is RHS_COL */
/* NL_ix0 [q_obj1 * cf_p_stn + 1] , the last is RHS_COL */
/*        (0:q_obj-1) is col/ix0 of object              */
/* if (stn) (q_obj)   is col/ix0 of station             */
/*          (q_obj1)  is col/ix0 of RHS_COL             */

/* ORGANIZATION of W and C */
/* W [eq_p_obj * q_obj] :                                        */
/*  ([eq_p_obj]) RHS of one object, in sequence after each other */
/* C[C_co, C_cs, C_oc] :                                         */
/*   if (stn   == 0) is C_cs absent !                            */
/*   if (oc_ps == 0) is C_oc absent !                            */
/* C_co, C_cs[cf_p_stn * eq_p_obj * q_obj]                       */
/*   cf_p_stn == 1: C_co_h, C_cs_h[eq_p_obj * q_obj]             */
/*   cf_p_stn == 2: C_co_n, C_co_e, C_cs_n, C_cs_e[eq_p_obj * q_obj] */
/*   cf_p_stn == 3: C_co_n, C_co_e, C_co_h,                      */
/*                  C_cs_n, C_cs_e, C_cs_h[eq_p_obj * q_obj]     */
/* C_oc[cf_p_stn * oc_ps * (q_obj + stn)]                        */
/*   if (stn   == 0) is C_oc absent !                            */
/*   cf_p_stn == 1: C_oc_h[oc_ps * q_obj], C_os_h[oc_ps]         */
/*   cf_p_stn == 2: C_oc_n[oc_ps * q_obj], C_os_n[oc_ps],        */
/*                  C_oc_e[oc_ps * q_obj], C_os_e[oc_ps]         */
/*   cf_p_stn == 3: C_oc_n[oc_ps * q_obj], C_os_n[oc_ps],        */
/*                  C_oc_e[oc_ps * q_obj], C_os_e[oc_ps]         */
/*                  C_oc_h[oc_ps * q_obj], C_os_h[oc_ps]         */

/* C_oc and W is reduced with the normal matrix of the OC's :    */
/*       A_OCT * A_OC                                            */

