

/* pack_stn.c                         # page 1   24 May 1993 14:17 */


int                  pack_stn(
struct st_str       *stn,
int                 *cstn,
int                  dir
);

/*
Packing of station numbers in 3 int.
See iogeo.h for details about names and types.

pack_stn : the type of the station.

stn      : the number structure defined in geo_lab.

cstn     : the packed number.

dir      > 0  => packing of stn into cstn,
dir      < 0  => unpacking from cstn to stn
dir      = 1 or -1 produces an alarm if the number-type is 
             outside the range of numbers, e.g. a text.
dir      > 1 or dir < -1 no alarm is given and only the
             returned value of 0 is the signal.
The number in parenthesis refers to the number of bits
used for packing.
0 means 0 (zero)

type:  name of variabel                    packed
LDNR:  typ(8)  rgn(8)  hnr(8)  snr(8)  ->  cstn[0]
LDNR:                          lbn(32) ->  cstn[1]         
LDNR:                            0(32) ->  cstn[2]         

STNR:  typ(8)  rgn(8)     0(8)   0(8)  ->  cstn[0]  
STNR:                          lbn(32) ->  cstn[1]         
STNR:          slt(16)         suf(16) ->  cstn[2]         

NVNR:  typ(8)  rgn(8)  hnr(8)    0(8)  ->  cstn[0]
NVNR:          snr(16)         lbn(16) ->  cstn[1]         
NVNR:          slt(16)         suf(16) ->  cstn[2]         

PHNR:  typ(8)  rgn(8)  hnr(8)    0(8)  ->  cstn[0]
PHNR:                  snr(24)  lbn(8) ->  cstn[1]         
PHNR:                  slt(16) suf(16) ->  cstn[2]         

DOSF:  typ(8)  rgn(8)  hnr(8)  snr(8)  ->  cstn[0]
DOSF:  lbn(8)  slt(8)  suf(16)         ->  cstn[1]         
DOSF:                            0(32) ->  cstn[2]         
	
LINR:  typ(8)  rgn(8)  hnr(8)    0(8)  ->  cstn[0]  
LINR:                          lbn(32) ->  cstn[1]         
LINR:          slt(16)         suf(16) ->  cstn[2]         

*/

