

/* profinv.h  version 1.0             # page 1   04 Mar 1994 11 06 */


/* Copyright (c) 1993 GD, Kort-og Matrikelstyrelsen, Denmark */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of G/S, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */


extern int          profinv(
/*________________________*/
double             *neq,
struct nl_ca_str   *CAT,
int                 l_neq
);


/* Function.
   _________

Using the Erisman/Tinney algorithm the procedure prof_inv
computes some of the elements of the inverse of a  symme-
tric, positive definite matrix. The computations are bas- 
ed on the upper  triangular  Cholesky  factor  L',  which 
should be given as one block of columns with top zero valued  
elements not stored, i.e. the profile or envelope  scheme 
is used. See Andersen and Krarup.  Reduced  normal  equa-   
tions as used in the KMS adjustment system are examples.
The algorithm computes the elements of the inverse  below
the profile of the original matrix.
The result is stored in the neq-heap.

*

Parameters.
___________

neq        A pointer for Cholesky-reduced equations.

CAT        Catalogue of saved zeroes and firstelem in columns,
_            valid for reduced.

l_neq      Last column of matrix.

adr elem(col, row) = NL + col_base + row
_      col_base       = (CAT[col])->ix_0
_  where                 0 <= col <= l_neq
_  and    (CAT[col])->sz_f <= row <= col

*/

