

/* rhs_mono.h                       # page 1   03 Mar 1995 17 35 */


/* Copyright (c) 1993, GD, Kort-og Matrikelstyrelsen, Denmark  */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of G/S, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */


extern int            rhs_mono(
/*___________________________*/
FILE                 *fw,
struct gst_str       *gst,
int                   otn_mode,
double                m_crit,
double              **p_oc,
struct st_str        *nr_base,
struct ci_str        *ci_base,
struct nl_ca_str     *nl_cat,
double               *NL,
struct mc_str        *mc_base,
struct o_fp_str      *out_data
);

  /* rhs_mono formes the obs_eq for monocomparator observations */

  /* rhs_mono (return, int) is the number of eq_stp              */
  /*         (i.e. usually q_obj (effective) * 2)                */

  /* Coordinates are given in 3.dim cartesic coordinates (X, Y, Z) as
  X = (a / sqrt(1 - e*e*sin(fi)*sin(fi)) + H) * cos(fi) * cos(la)
  Y = (a / sqrt(1 - e*e*sin(fi)*sin(fi)) + H) * cos(fi) * sin(la)
  Z = (a*(1-e*e) / sqrt(1 - e*e*sin(fi)*sin(fi)) + H) * sin(fi)

   The unknowns are the metric geographic coordinates :
  (a*(1-e*e)*fi/(W*sqrt(W)), a*cos(fi)*la/sqrt(W), H) = (V1, V2, V3).

  When the adjustment is performed in another coordinatesystem (U)
  then the observationequations are transformed to this system :
  
                     d V  =  D  d U.

  Ref.: Schwidefsky/Achermann: Photogrammetrie. Stuttgart 1976. (S/A)

  MODEL  :

  PCC = C0 + ROT * (CV - C0) * ((PC0-C0)|3) / ((ROT * (CV - C0))|3)

  where |3 means projected on third coordinate.
  PC   is photo Coordinate (x, y, z).
  PCC  is photo Coordinate (x, y, z) calculated.
  ROT  is rotation matrix
  CV   is Coordinate Vector (X, Y, Z) of the object
  C0   is phocus point coordinates : (X0, Y0, Z0)
  PC0  is zero-point of Photo : (X0, Y0, Z0-c)

*/

