

/* rhs_stec.h  obseq for cb           # page 1   17 Feb 1994 11 23 */


/* Copyright (c) 1993 GD, Kort-og Matrikelstyrelsen, Denmark   */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of G/D, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */


extern int                 rhs_stec(
/*________________________________*/
FILE                      *fw,
struct gst_str            *gst,
int                        otn_mode,
double                     m_crit,
double                   **p_oc,
struct st_str             *nr_base,
struct ci_str             *ci_base,
struct nl_ca_str          *nl_cat,
double                    *NL,
struct mc_str             *mc_base,
int                        rq_spec,
struct mc_str             *mc_spec,
struct o_fp_str           *out_data
);

  /* coordinat_mono_obs kun i plant koordinatsystem */

/*     MODEL  :

    MC = MROT  * (CV - C0) + MC0

    MC   is Model Coordinate  (y, x)
    MROT is scale and rotation matrix
    CV   is Coordinate Vector (N, E) of the station
    C0   is initially mean of coordinates CV : (N0, E0)
    MC0  is mean of Model Coordinate MC : (y0, x0)

    This model has the advantage that the normaleq for local
    ellimination of MROT and MCO has small contributions (N -N0,...).

    CV   is pointed by p_ci
    MC   is pointed by stec_ln->obs_y, stec_ln->obs_x
    MCO  is pointed by stec_hd->y0, stec_hd->x0
    N0   is pointed by *p_oc
    E0   is pointed by *p_oc+1
    Rotation        by *p_oc+2
    Scale           by *p_oc+3

    The equation is solved for unknowns p_oc.

  */


/* rhs_stec.h  obseq for cb           # page 3   17 Feb 1994 11 23 */


  /*                        { cos a   sin a }    {  alfa  beta }  */
  /* MROT  =  *(*p_oc +3) * {               }  = {             }  */
  /*                        {-sin a   cos a }    { -beta  alfa }  */
  /*   a   =  *(*p_oc +2)                                         */

/*  the model righthandside is :

    RHS = MC - MC0 - MROT  * (CV - C0)

    the model lefthandside is : A, giving the normal equation
    N  =  AT  *  Q  *  A, where AT is A transposed and Q is the
    inverse of the weightmatrix.

    AT = ( - alfa  ,    beta   )         ( d N_0  )
         ( - beta  ,  - alfa   )         ( d E_0  )
         (  N - N0 ,   E - E0  )         ( d alfa )
         (  E - E0 , -(N - N0) )         ( d beta )
         (   alfa  ,  - beta   )         ( d N(i) )
         (   beta  ,    alfa   )         ( d E(i) )

    d *(p +2) = (-beta * d alfa + alfa * d beta )/ *(p +3)/ *(p +3)
    d *(p +3) = ( alfa * d alfa + beta * d beta )/ *(p +3)
    
    The 4 first Orientation Constants are determined on the first
    sets of objects.
    Thereafter is to be returned to the obs_neq function :
       the coefficients to d N(i) and d E(i), and
       the OC coefficients (AT4 * A2L) is reduced by AT4 * A4.
    AT4 is the first 4 rows in AT, and A2L the 2 last cols in A.

    AT4 * A, AT4 * W = (OC_a0    0.0    OC_a1   OC_a2,  OC_a4)
                       (        OC_a0   OC_a2  -OC_a1,  OC_a5)
                       (                OC_a3    0.0 ,  OC_a6)
                       (                        OC_a3,  OC_a7)

    The last q_obj observations give diagonal obs.eq's.

  */

