

/* rhs_vt3.h                          # page 1   05 Aug 1994 15 30 */


/* Copyright (c) 1993, GD, Kort-og Matrikelstyrelsen, Denmark  */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of G/S, Kort-og */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */


extern int            rhs_vt3(
/*__________________________*/
FILE                 *fw,
struct gst_str       *gst,
int                   otn_mode,
double                m_crit,
struct st_str        *nr_base,
struct ci_str        *ci_base,
struct nl_ca_str     *nl_cat,
double               *NL,
struct mc_str        *mc_base,
int                   rq_spec,
struct mc_str        *mc_spec,
struct o_fp_str      *out_data
);

/* rhs_vt3 formes the obs_eq for 3.dim vectors in geographical */

/* rhs_vt3 (return, int) is the number of q_eq                */
/*         (i.e. usually q_obj * 3)                           */

/* Obersvations are given in 3.dim cartesic WGS84 coordinates
  (X, Y, Z) as  (DX, DY, DZ)
  X = (a / sqrt(1 - e*e*sin(fi)*sin(fi)) + H) * cos(fi) * cos(la)
  Y = (a / sqrt(1 - e*e*sin(fi)*sin(fi)) + H) * cos(fi) * sin(la)
  Y = (a*(1-e*e) / sqrt(1 - e*e*sin(fi)*sin(fi)) + H) * sin(fi)

  The unknowns are the metric geographic coordinates :
  (a*(1-e*e)*fi/(W*sqrt(W)), a*cos(fi)*la/sqrt(W), H).

  When the adjustment is performed in another coordinatesystem
  then the observationequations are transformed to this system.
*/

