

/* sax.c  reordering of matr          # page 1   18 Mar 1994 12 58 */


/* Copyright (c) 1993 GD, Kort-og Matrikelstyrelsen, Denmark   */
/* All rights reserved.                                        */

/* This is unpublished proprietary source code of GD, Kort-og  */
/* Matrikelstyrelsen, Denmark.  This copyright claim does not  */
/* indicate an intention of publishing this code.              */

/* SAX function, called after mrs. Saxtorff, who was the first */
/* to implement a reordering af the normal equations. This     */
/* REORDERING is based on the ideas outlined by JEWEL, J.G.,   */
/* Ordering Systems of Equations, SIAM vol. 9 No. 1, 1961.     */
/* The methode has been specialized to work on symetric matri- */
/* ces. Investigations on the efficiency of this methode has   */
/* shown, that the gain in more sofisticated methodes is rela- */
/* tively costy in cpu-time. In special sparce matrices e.g.   */
/* levelling networks may up to 8% be gained by other methodes.*/

/* This reordering methode becomes ineffective to larger net-  */
/* works, - and the numerical problems increase, therefore is  */
/* it recommended to use Helmert Blocking on networks with     */
/* more than 3.000 to 4.000 unknown stations.                  */
/* The numerical problems could be attacked according to       */
/* Wilkinson, J.H., Rounding Errors in Algebraic Processes.,   */
/* Prentice Hall, New York, 1963.                              */
/* Se also Peter Meissl, A Priori Prediction of Roundoff       */
/* Error Accumulation of a Super-Large Geodetic Normal         */
/* Equation System, Rockville, Md, 1980.                       */

/* Helmert blocks could be improved by finding a good start    */


extern int                sax(
/*__________________________*/
FILE                     *fw,
struct gst_str           *gst,
struct obs_lab           *o_lab,
struct st_str            *nr_base,
struct ci_str            *ci_base
);

